import React from "react";
interface Context {
    vw: number | undefined;
    vh: number | undefined;
    isIOSToolbarVisible: boolean | undefined;
}
/**
 *  After React 18 the type React.FC does not provide a children prop anymore,
 *  therefore it is necessary to manually add the type using the helper
 *  React.PropsWithChildren or the prop 'children: React.ReactNode'
 */
declare type Props = {
    debounceResize?: boolean;
    variablesPrefix?: string;
};
declare const RealViewportProvider: React.FC<React.PropsWithChildren<Props>>;
declare const useRealViewport: () => Context;
export { RealViewportProvider, useRealViewport };
export { ViewportWidthBox, ViewportHeightBox } from "./components";
